RECSEL(1)

NOME
recsel - imprime registros de um arquivo rec

SINOPSE
recsel [OPÇÃO]... [-t TIPO] [-j CAMPO] [-n ÍNDICES | -e EXPR_REGISTRO | -q TEXTO | -m NÚM] [-c | (-p|-P) EXPR_CAMPO] [ARQUIVO]...

DESCRIÇÃO
Selecione e imprime dados rec.

-d, --include-descriptors
    imprime descritores de registro junto com os registros correspondentes.

-C, --collapse
    não secciona o resultado em registros com novas linhas.

-S, --sort=CAMPO,...
    ordena a saída pelos campos especificados.

-G, --group-by=CAMPO,...
    agrupa registros pelos campos especificados.

-U, --uniq
    remove campos duplicados nos registros de saída.

-s, --password=TEXTO
    descriptografa campos confidenciais com a SENHA.

--help
    mostra uma mensagem de ajuda e sai.

--version
    mostra a versão e sai.

  Opções de seleção de registros:

-i, --case-insensitive
    diferencia textos entre maiúsculo e minúsculo nas expressões de seleção.

-t, --type=TIPO
    opera em registros apenas do tipo especificado.

-e, --expression=EXPR_REGISTRO
    expressão de seleção.

-q, --quick=TEXTO
    seleciona registros com campos contendo um texto.

-n, --number=NÚM,...
    seleciona registros por posição, com intervalos.

-m, --random=NÚM
    seleciona um número dado de registros aleatórios.

-j, --join=CAMPO
    faz uma aglutinação, estilo inner join, usando o campo especificado.

  Opções de saída:

-p, --print=CAMPOS
    lista separada por vírgula de campos a ser impressos para cada registro correspondente.

-P, --print-values=CAMPOS
    semelhante a -p, mas imprime apenas os valores dos campos selecionados.

-R, --print-row=CAMPOS
    semelhante a -P, mas separa os valores com espaços, ao invés de novas linhas.

-c, --count
    imprime uma contagem de registros correspondentes, ao invés dos registros em si.

  Opções especiais:

--print-sexps
    mostra dados em sexps, em vez de formato rec.

AUTOR
Escrito por Jose E. Marchesi.

RELATANDO PROBLEMAS
Relate erros para: bug-recutils@gnu.org
Página do GNU recutils: <https://www.gnu.org/software/recutils/>
Ajuda geral no uso de software GNU: <http://www.gnu.org/gethelp/>

DIREITOS AUTORAIS
Copyright © 2010-2020 Jose E. Marchesi. Licença GPLv3+: GNU GPL versão 3 ou posterior <http://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa para recsel é mantida como um manual Texinfo. Se os programas info e recsel estiverem instalados apropriadamente em sua máquina, o comando

    info recutils

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).